Answer the care team
curl --request POST \
--url https://mcp.arlohealth.ai/api/care-jobs/{id}/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": [
{
"askId": "<string>",
"itemId": "<string>",
"optionId": "<string>",
"text": "<string>",
"unable": {
"reason": "<string>"
},
"document": {
"data": "<string>",
"url": "<string>",
"fileName": "<string>",
"part": "<string>"
}
}
],
"idempotencyKey": "<string>"
}
'import requests
url = "https://mcp.arlohealth.ai/api/care-jobs/{id}/answers"
payload = {
"answers": [
{
"askId": "<string>",
"itemId": "<string>",
"optionId": "<string>",
"text": "<string>",
"unable": { "reason": "<string>" },
"document": {
"data": "<string>",
"url": "<string>",
"fileName": "<string>",
"part": "<string>"
}
}
],
"idempotencyKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
answers: [
{
askId: '<string>',
itemId: '<string>',
optionId: '<string>',
text: '<string>',
unable: {reason: '<string>'},
document: {data: '<string>', url: '<string>', fileName: '<string>', part: '<string>'}
}
],
idempotencyKey: '<string>'
})
};
fetch('https://mcp.arlohealth.ai/api/care-jobs/{id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mcp.arlohealth.ai/api/care-jobs/{id}/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'answers' => [
[
'askId' => '<string>',
'itemId' => '<string>',
'optionId' => '<string>',
'text' => '<string>',
'unable' => [
'reason' => '<string>'
],
'document' => [
'data' => '<string>',
'url' => '<string>',
'fileName' => '<string>',
'part' => '<string>'
]
]
],
'idempotencyKey' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mcp.arlohealth.ai/api/care-jobs/{id}/answers"
payload := strings.NewReader("{\n \"answers\": [\n {\n \"askId\": \"<string>\",\n \"itemId\": \"<string>\",\n \"optionId\": \"<string>\",\n \"text\": \"<string>\",\n \"unable\": {\n \"reason\": \"<string>\"\n },\n \"document\": {\n \"data\": \"<string>\",\n \"url\": \"<string>\",\n \"fileName\": \"<string>\",\n \"part\": \"<string>\"\n }\n }\n ],\n \"idempotencyKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mcp.arlohealth.ai/api/care-jobs/{id}/answers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"answers\": [\n {\n \"askId\": \"<string>\",\n \"itemId\": \"<string>\",\n \"optionId\": \"<string>\",\n \"text\": \"<string>\",\n \"unable\": {\n \"reason\": \"<string>\"\n },\n \"document\": {\n \"data\": \"<string>\",\n \"url\": \"<string>\",\n \"fileName\": \"<string>\",\n \"part\": \"<string>\"\n }\n }\n ],\n \"idempotencyKey\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mcp.arlohealth.ai/api/care-jobs/{id}/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"answers\": [\n {\n \"askId\": \"<string>\",\n \"itemId\": \"<string>\",\n \"optionId\": \"<string>\",\n \"text\": \"<string>\",\n \"unable\": {\n \"reason\": \"<string>\"\n },\n \"document\": {\n \"data\": \"<string>\",\n \"url\": \"<string>\",\n \"fileName\": \"<string>\",\n \"part\": \"<string>\"\n }\n }\n ],\n \"idempotencyKey\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"jobId": "<string>",
"status": "<string>",
"answered": [
{}
],
"alreadyClosed": [
{}
],
"rejected": [
{}
],
"stillNeeded": [
{}
],
"agentInstructions": [
"<string>"
]
}{
"error": "<string>",
"reason": "<string>",
"message": "<string>",
"field": "<string>",
"code": "<string>"
}{
"error": "<string>",
"needsAuth": true
}Care Jobs
Answer the Care Team
Answer the care team’s open questions on a job (openItems on GET
/api/care-jobs/). Ask the user every open item in one exchange and
relay only what they say. Partial answers are stored as they arrive;
the first answer to an item wins, and answering a closed item returns
it under alreadyClosed. An item the user cannot provide is answered
with unable.
POST
/
api
/
care-jobs
/
{id}
/
answers
Answer the care team
curl --request POST \
--url https://mcp.arlohealth.ai/api/care-jobs/{id}/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": [
{
"askId": "<string>",
"itemId": "<string>",
"optionId": "<string>",
"text": "<string>",
"unable": {
"reason": "<string>"
},
"document": {
"data": "<string>",
"url": "<string>",
"fileName": "<string>",
"part": "<string>"
}
}
],
"idempotencyKey": "<string>"
}
'import requests
url = "https://mcp.arlohealth.ai/api/care-jobs/{id}/answers"
payload = {
"answers": [
{
"askId": "<string>",
"itemId": "<string>",
"optionId": "<string>",
"text": "<string>",
"unable": { "reason": "<string>" },
"document": {
"data": "<string>",
"url": "<string>",
"fileName": "<string>",
"part": "<string>"
}
}
],
"idempotencyKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
answers: [
{
askId: '<string>',
itemId: '<string>',
optionId: '<string>',
text: '<string>',
unable: {reason: '<string>'},
document: {data: '<string>', url: '<string>', fileName: '<string>', part: '<string>'}
}
],
idempotencyKey: '<string>'
})
};
fetch('https://mcp.arlohealth.ai/api/care-jobs/{id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mcp.arlohealth.ai/api/care-jobs/{id}/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'answers' => [
[
'askId' => '<string>',
'itemId' => '<string>',
'optionId' => '<string>',
'text' => '<string>',
'unable' => [
'reason' => '<string>'
],
'document' => [
'data' => '<string>',
'url' => '<string>',
'fileName' => '<string>',
'part' => '<string>'
]
]
],
'idempotencyKey' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mcp.arlohealth.ai/api/care-jobs/{id}/answers"
payload := strings.NewReader("{\n \"answers\": [\n {\n \"askId\": \"<string>\",\n \"itemId\": \"<string>\",\n \"optionId\": \"<string>\",\n \"text\": \"<string>\",\n \"unable\": {\n \"reason\": \"<string>\"\n },\n \"document\": {\n \"data\": \"<string>\",\n \"url\": \"<string>\",\n \"fileName\": \"<string>\",\n \"part\": \"<string>\"\n }\n }\n ],\n \"idempotencyKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mcp.arlohealth.ai/api/care-jobs/{id}/answers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"answers\": [\n {\n \"askId\": \"<string>\",\n \"itemId\": \"<string>\",\n \"optionId\": \"<string>\",\n \"text\": \"<string>\",\n \"unable\": {\n \"reason\": \"<string>\"\n },\n \"document\": {\n \"data\": \"<string>\",\n \"url\": \"<string>\",\n \"fileName\": \"<string>\",\n \"part\": \"<string>\"\n }\n }\n ],\n \"idempotencyKey\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mcp.arlohealth.ai/api/care-jobs/{id}/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"answers\": [\n {\n \"askId\": \"<string>\",\n \"itemId\": \"<string>\",\n \"optionId\": \"<string>\",\n \"text\": \"<string>\",\n \"unable\": {\n \"reason\": \"<string>\"\n },\n \"document\": {\n \"data\": \"<string>\",\n \"url\": \"<string>\",\n \"fileName\": \"<string>\",\n \"part\": \"<string>\"\n }\n }\n ],\n \"idempotencyKey\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"jobId": "<string>",
"status": "<string>",
"answered": [
{}
],
"alreadyClosed": [
{}
],
"rejected": [
{}
],
"stillNeeded": [
{}
],
"agentInstructions": [
"<string>"
]
}{
"error": "<string>",
"reason": "<string>",
"message": "<string>",
"field": "<string>",
"code": "<string>"
}{
"error": "<string>",
"needsAuth": true
}Authorizations
OAuth 2.1 with PKCE
Headers
Reuse the same key when retrying; the original reply is replayed
Path Parameters
The care job's id
Was this page helpful?